org.apache.commons.jelly.test

## Class BaseJellyTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.commons.jelly.test.BaseJellyTest

All Implemented Interfaces:
  junit.framework.Test

    public abstract class BaseJellyTest
    extends junit.framework.TestCase

Version:
  $Revision: 155420 $ $Date: 2005-02-26 05:06:03 -0800 $
Author:
  Rodney Waldhoff

### Constructor Summary

Constructors
Constructor and Description
`BaseJellyTest(java.lang.String name)`

### Method Summary

Methods
`protected Jelly` `getJelly()`
`protected JellyContext` `getJellyContext()`
`protected XMLOutput` `getXMLOutput()`
`void` `setUp()`
`protected void` `setUpScript(java.lang.String scriptname)`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseJellyTest

    public BaseJellyTest(java.lang.String name)

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Overrides:
  `setUp` in class `junit.framework.TestCase`
Throws:
  `java.lang.Exception`

#### setUpScript

    protected void setUpScript(java.lang.String scriptname)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getJelly

    protected Jelly getJelly()

#### getJellyContext

    protected JellyContext getJellyContext()

#### getXMLOutput

    protected XMLOutput getXMLOutput()